Package: org.codehaus.groovy.util

## [Java] Class LongArrayIterator

- org.codehaus.groovy.util.LongArrayIterator

- All Implemented Interfaces and Traits:
    Iterator

      public class LongArrayIterator
      extends Object
      implements Iterator

  Allows a long array to be used where an Iterator is expected.

  Since:
    3.0.8

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LongArrayIterator(long[] array)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `hasNext()`
    `` | `public Long` | `next()`
    `` | `public void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public LongArrayIterator(long[] array)

  - ### Method Detail

    - #### @Override
      public boolean hasNext()

    - #### @Override
      public Long next()

    - #### @Override
      public void remove()